[metadata]
name = auth
version = attr: auth.version

[options]
packages = find:
include_package_data = True
install_requires =
    aiopg==1.1.0
    bcrypt==3.2.2
    pyjwt==2.6.0
    psycopg2-binary>=2.8
    psycopg2>=2.8
    sprockets.http==2.5.0
    sprockets.mixins.http==2.4.1
    sprockets.mixins.mediatype==3.0.4
    tornado==6.1
    u-msgpack-python==2.7.1

[options.entry_points]
console_scripts =
    auth = auth.app:run

[options.extras_require]
tests =
    bandit==1.7.2
    bandoleers==3.2.0
    coverage==5.5
    docker-healthchecker>=0.2.2,<1.0
    flake8-comprehensions==3.10.1
    flake8-deprecated==2.0.1
    flake8-import-order==0.18.2
    flake8-tuple==0.4.1
    flake8==6.0.0
    requests==2.25.1
    yapf==0.31.0


[coverage:run]
branch = True
command_line = -m unittest discover tests --buffer --verbose

[coverage:report]
fail_under = 100
show_missing = True
include = auth/*
omit = tests/*

[coverage:xml]
output = build/coverage.xml

[flake8]
application-import-names = auth,tests
exclude = build,env
import-order-style = pycharm

[yapf]
allow_multiline_dictionary_keys = True
allow_split_before_dict_value = False
